⚠️ Legacy endpoint. Android only. Geofence configuration is now managed through blueprints. Use the blueprints endpoints (/api/v2/blueprints/) to create and manage geofences going forward.
Retrieves the full details of a single geofence by UUID via the legacy create-apply-geofence detail path. Returns the same Geofence object as GET /v0/enterprise/{enterprise_id}/geofence/{geofence_id}/; this path is the detail counterpart to the create-apply-geo-fence creation endpoint, with the hyphenation normalized to create-apply-geofence.
Security
esper_cloud_api_apiKey
- Mock serverhttps://api.esper.io/_mock/openapi/v0/enterprise/{enterprise_id}/create-apply-geofence/{geofence_id}/
- https://develop-api.esper.cloud/apihttps://develop-api.esper.cloud/api/v0/enterprise/{enterprise_id}/create-apply-geofence/{geofence_id}/
curl -i -X GET \
'https://api.esper.io/_mock/openapi/v0/enterprise/{enterprise_id}/create-apply-geofence/{geofence_id}/' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'successful operation
The unit in which the radius is taken, eg - kilometers, meters etc
Enum:"KILOMETERS""METERS""MILES"
The actions to be performed on the device
Items Enum:"LOCK_DOWN""BEEP"
Date and time of when the geofence was created
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "enterprise": "796caaf9-a7de-4817-9ffa-39d04bf83de9", "latitude": "string", "longitude": "string", "radius": 0, "radius_unit": "KILOMETERS", "device_actions": [ "LOCK_DOWN" ], "device_count": 0, "created_by": "string", "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }